ECHO OFF
set PORT=5001
set RULE_NAME="Cirrato"

netsh advfirewall firewall show rule name=%RULE_NAME% >nul
if not ERRORLEVEL 1 (
    rem Rule %RULE_NAME% already exists.
    echo Det finns redan en regel med namnet %RULE_NAME%
    echo.
) else (
    echo Regeln %RULE_NAME% finns inte. Skapar...
    echo.
    netsh advfirewall firewall add rule name=%RULE_NAME% dir=in action=allow protocol=TCP localport=%PORT%
)
pause